Package org.eclipse.m2m.atl.engine.compiler

# Class CompileTimeError

java.lang.Object
org.eclipse.m2m.atl.engine.compiler.CompileTimeError

public class CompileTimeError extends Object
Describes an error which has occurred when compiling an ATL script.

## Constructor Summary

Constructors
Constructor
Description
`CompileTimeError(String severity, String location, String description)`
Creates an instance of CompileError.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns the description.
`String`
`getLocation()`
Returns the location.
`String`
`getSeverity()`
Returns the severity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompileTimeError

public CompileTimeError(String severity, String location, String description)
Creates an instance of CompileError.

Parameters:
  `severity` - the error severity
  `location` - the location at which the error occurred
  `description` - the description of the error

## Method Details

### getDescription

public String getDescription()
Returns the description.

Returns:
  the description

### getLocation

public String getLocation()
Returns the location.

Returns:
  the location (format = linenumber:columnnumber)

### getSeverity

public String getSeverity()
Returns the severity.

Returns:
  the severity